Searches for a service request form based on the provided criteria

Searches for a service request form using the given details. Results will be returned based on the specified search criteria.

post

Query Parameters

limitinteger(int32)

Default:10

offsetinteger(int32)

Default:0

x-correlation-idstring

Body

application/json

ServiceRequestFormSearchRequest

parentCarrierCodestringrequired

client code associated with the document search

Example:EVGL

formIdstring

Id to the specific form instance

Example:123456 CA

stateApplicablestring

State where the form is applicable or valid

Example:NY

formCategorystring

Category of the form

Example:Financial

formTypestring

Type of form

Example:Redemption

formSubTypestring

More specific classification under the form type

Example:Full Surrender

orderBystring

The field used to sort the search results; defaults to ‘createDate’ if not specified

Example:createDate

orderByDirectionstring

Direction of the sort order for search results, either ascending or descending

Allowed values:ASCDESC

Example:DESC

Response

application/json

service request forms retrieved successfully

SearchServiceRequestFormResponse

countinteger(int64)

Number of total documents found matching the search criteria

Example:100

documentsarray[object]
Show Child Parameters
correlationIdstring

Unique ID for correlating requests

Example:123e4567-e89b-12d3-a456-426614174000

post/document/v3/service-request-form/search

Body

{ "parentCarrierCode": "EVGL" }
 
application/json

Updates a service request form using the provided ID

Updates a service request form based on the given ID. The form details will be modified as per the provided information.

put

Path Parameters

documentIdstringrequired

Headers

x-correlation-idstring

Body

multipart/form-data
filestring
metadataobjectrequired
Show Child Parameters

Response

application/json

service request form updated successfully

ServiceRequestFormMetadataOperationsResponse

correlationIdstring

Unique ID for correlating requests

Example:123e4567-e89b-12d3-a456-426614174000

put/document/v3/service-request-form/update/{documentId}

Body

{}
 
Error initializing code snippet
application/json

Retrieves a service request form by its ID

Retrieves the service request form based on the provided ID. If a document key is available, the form is returned as binary data; otherwise, a public URL to access the form is provided.

get

Query Parameters

documentClassificationstring

Allowed values:INBOUNDOUTBOUND

parentCarrierCodestring

Path Parameters

documentIdstringrequired

Headers

x-correlation-idstring

Response

application/json

service request form downloaded successfully

ServiceRequestFormDownloadResponse

fileExtensionstring

File extension of the document

Example:pdf

formNamestring

Name of the document

Example:NB Application

binaryDatastring

Binary data of the document

Example:wdvb2ekllkk189w0enjansle..

correlationIdstring

Unique ID for correlating requests

Example:123e4567-e89b-12d3-a456-426614174000

get/document/v3/service-request-form/{documentId}/download
 
application/json

Documents V2

getDocuments

this is an endpoint to get a list of document metadata

get

Query Parameters

sourcestring

Source of the document

Example:correspondence

clientCodestring

Carrier code of the document

Example:EVGL

contractNumberstring

This will be conditional mandatory. Either of contract number or date range is required in order to retrieve the documents.

Example:A000000071

documentDatestring(date-time)

Date on which document has been added in Zinnia system

Example:2025-01-01T10:20:00

documentStartDatestring(date-time)

This will be conditional mandatory. Either of contract number or date range is required in order to retrieve the documents. Date to define the document list based on document date range. Document Start Date

Example:2025-01-01T10:20:00

documentEndDatestring(date-time)

This will be conditional mandatory. Either of contract number or date range is required in order to retrieve the documents. Date to define the document list based on document date range. Document End Date

Example:2025-03-01T10:20:20

documentTypestring

Type of the document

Example:NB Application

importStartDatestring(date-time)

This will be conditional mandatory. Either of contract number or date range is required in order to retrieve the documents. Date to define the document list based on import date range

Example:2023-01-01T15:41:16

importEndDatestring(date-time)

This will be conditional mandatory. If document start date is provided, then it should be madatorily provided. Date to define the document list based on import date range

Example:2023-03-01T15:41:16

masterNumberstring

Unique number assigned to the agent

Example:MA00186973

docStatusstring

Status of the document. Can be provided in comma separated value. Default will be ‘active’

Example:Active,Removed,Archived

caseIdstring

Unique number assigned to case

Example:0987654321

documentNumberstring

Document number

Example:1234567890

recipientstring

Recipient of the document

Allowed values:AgentClient

Example:Agent

zinniaLiveCaseIdstring

Unique case ID in the Zinnia system associated with the document

Example:ZLC09876

periodsarray[object]

Periods of the document

Example:[{"PeriodYear":"2020","PeriodQuarters":["Q1","Q2","Q3","Q4"]}]

Show Child Parameters

Headers

Authorizationstringrequired

This will be passed as Bearer plus “token” as generated by above token API.

Example:Bearer eykjsfjfjasdasdad

Response

application/json

OK

InlineResponse200

countnumberrequired
itemsarray[object]required
Show Child Parameters
get/document/v2/documents
 
application/json